## edu.cwru.SimpleRTS.model
Class ProduceTest

    java.lang.Object
      edu.cwru.SimpleRTS.model.ProduceTest

    public class ProduceTest

extends java.lang.Object

Constructor Summary
`ProduceTest()`

Method Summary
`static void` `loadTemplates()`
`void` `setUp()`
`void` `testDoubleUpgrade()`
`void` `testProduce()`
`void` `testUpgrade()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProduceTest

    public ProduceTest()

Method Detail

### loadTemplates

    public static void loadTemplates()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    public void setUp()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testProduce

    public void testProduce()

### testUpgrade

    public void testUpgrade()

### testDoubleUpgrade

    public void testDoubleUpgrade()